/* 
file : Cfn.hpp
Defenition of functions calculating the correlation functions of
the lattice_graph.

Respin v.2, to analyse output from spinner, using the '.state' file.

Written by Mark de Vries, markadevries@gmail.com

Copyright (c), Aug 2005-Jan 2007, Dec 2012, The University Court of the University of
Edinburgh, Old College, Edinburgh, UK  

Copyright (c), Aug 2005-Oct 2006, Council for the Central Laboratory of the 
Research  Councils, Rutherford Appleton Laboratory, Chilton, Didcot, Oxfordshire, UK

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef CFN
#define CFN

#include "lattice_graph.hpp"
#include "options.hpp"
#include <map>

using namespace boost;
using namespace boost::numeric;

std::vector<std::map<double,double> > Cfn(lattice_graph&,uint,uint,uint,std::string, std::string);
lattice_graph Chirality(po::variables_map, lattice_graph&);
lattice_graph Nematicity(po::variables_map, lattice_graph&);

#endif
