/*  
file: options.hpp 
Header file for command line interface.

Spinner v.2, a Monte Carlo program for the simulation of 'classical'
magnetic systems.

Written by Mark de Vries, markadevries@gmail.com

Copyright (c), Aug 2005-Jan 2007, Dec 2012, The University Court of the University of
Edinburgh, Old College, Edinburgh, UK  

Copyright (c), Aug 2005-Oct 2006, Council for the Central Laboratory of the 
Research  Councils, Rutherford Appleton Laboratory, Chilton, Didcot, Oxfordshire, UK

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef OPTIONS
#define OPTIONS

#include <stdlib.h>
#include <iostream>           
#include <fstream>                 

#include <boost/program_options.hpp>
#include <boost/property_map/property_map.hpp>
#include <boost/tokenizer.hpp>
//#include <boost/filesystem/operations.hpp>
//#include <boost/filesystem/path.hpp>

#include "banners.hpp"
#include "math_utility.hpp"

using namespace boost;
namespace po = program_options;
//namespace fs = boost::filesystem;

typedef ublas::bounded_vector<euclid_vector,3> lattice_vectors;

std::vector<double> parse_doubles(const std::vector<std::string>& values);
euclid_vector parse_vector(const int dim,const std::string& values);
euclid_matrix parse_matrix(const std::string& values);
po::variables_map parse_options(int ac, char* av[],std::string fn);


#endif
